package cn.pluss.platform.access.exception;

import cn.pluss.platform.bsj.conn.domain.CodeEnum;
import org.apache.commons.lang3.StringUtils;

/**
 * bsj错误类
 * @author lyf
 */
public class AccessException extends RuntimeException{
    public AccessException(CodeEnum codeEnum, String message) {
        super(StringUtils.isNotBlank(message) ? message : codeEnum.getDesc());
    }

    public AccessException(CodeEnum codeEnum) {
        super(codeEnum.getDesc());
    }
}
